Package ru.bgcrm.model.process

# Class ProcessType

java.lang.Object
org.bgerp.model.base.tree.TreeItem<Integer,ProcessType>
ru.bgcrm.model.process.ProcessType

All Implemented Interfaces:
  `Comparable<ProcessType>`, `Id<Integer>`, `IdTitle<Integer>`, `Title`, `TreeItem<Integer,ProcessType>`

public class ProcessType extends TreeItem<Integer,ProcessType> implements Comparable<ProcessType>

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.tree.TreeItem

  `children, id, parentId, title`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessType()`
  `ProcessType(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ProcessType o)`
  `List<ProcessType>`
  `getPath()`
  `TypeProperties`
  `getProperties()`
  `Set<Integer>`
  `getSelectedChildIds(Set<Integer> typeSet)`
  Selects process type IDs with filter by other IDs.
  `String`
  `getTypeTitle()`
  `protected boolean`
  `isRootNode()`
  `boolean`
  `isUseParentProperties()`
  `void`
  `setProperties(TypeProperties properties)`
  `void`
  `setUseParentProperties(boolean useParentProperties)`

  ### Methods inherited from class org.bgerp.model.base.tree.TreeItem

  `addChild, getAllChildIds, getById, getChild, getChildCount, getChildIds, getChildren, getIcon, getId, getParentId, getTextStyle, getTitle, isInPathTo, isRootNodeWithIntegerId, setChildren, setId, setParentId, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessType

    public ProcessType()

  - ### ProcessType

    public ProcessType(int id, String title)

- ## Method Details

  - ### getTypeTitle

    public String getTypeTitle()
    Returns:
      the type's title, prefixed by the parent's one, if shorter than `MIN_TITLE_LENGTH`

  - ### getProperties

    public TypeProperties getProperties()

  - ### setProperties

    public void setProperties(TypeProperties properties)

  - ### isUseParentProperties

    public boolean isUseParentProperties()

  - ### setUseParentProperties

    public void setUseParentProperties(boolean useParentProperties)

  - ### getPath

    public List<ProcessType> getPath()

  - ### getSelectedChildIds

    public Set<Integer> getSelectedChildIds(Set<Integer> typeSet)
    Selects process type IDs with filter by other IDs.
    Parameters:
      `typeSet` - the filter set, if a type ID is there, it has been added together with all its child IDs.
    Returns:

  - ### compareTo

    public int compareTo(ProcessType o)
    Specified by:
      `compareTo` in interface `Comparable<ProcessType>`

  - ### isRootNode

    protected boolean isRootNode()
    Specified by:
      `isRootNode` in class `TreeItem<Integer,ProcessType>`